# Uses of Class
org.apache.cxf.endpoint.EndpointException

Packages that use EndpointException
Package
Description
org.apache.cxf.endpoint

- ## Uses of EndpointException in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint that throw EndpointException
  Modifier and Type
  Method
  Description
  `protected abstract Endpoint`
  AbstractEndpointFactory.`createEndpoint()`
  `EndpointImpl`
  EndpointImplFactory.`newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo)`
  Create an EndpointImpl from a bus, service, and endpoint info.
  `EndpointImpl`
  SimpleEndpointImplFactory.`newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo)`
  Create an EndpointImpl from a bus, service, and endpoint info.
  Constructors in org.apache.cxf.endpoint that throw EndpointException
  Modifier
  Constructor
  Description
  ``
  `EndpointImpl(Bus bus, Service s, QName endpointName)`
  ``
  `EndpointImpl(Bus bus, Service s, EndpointInfo ei)`